### Signal

# Soup Message::request-certificate-password

since: 3.0

#### Declaration

    gboolean
    request_certificate_password (
      SoupMessage* self,
      GTlsPassword* tls_password,
      gpointer user_data
    )

#### Description [src]

Emitted during the `msg`‘s connection TLS handshake when `tls_connection` requests a certificate password from the client.

You can set the certificate password on `password`, then call `soup_message_tls_client_certificate_password_request_complete()` and return `TRUE` to handle the signal synchronously. It’s possible to handle the request asynchornously by calling `g_object_ref()` on `password`, then returning `TRUE` and call `soup_message_tls_client_certificate_password_request_complete()` later after setting the password on `password`. Note that this signal is not emitted if `SoupSession:tls-interaction` was set.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.0

#### Parameters

`tls_password`

  Type: `GTlsPassword`

  The `GTlsPassword`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to handle the request, or `FALSE` to make the connection fail with `G_TLS_ERROR_CERTIFICATE_REQUIRED`.